Support Support Downloads Knowledge Base Juniper Support Portal Community

Knowledge Base

Search our Knowledge Base sites to find answers to your questions.

Ask All Knowledge Base Sites All Knowledge Base Sites JunosE Defect (KA)Knowledge BaseSecurity AdvisoriesTechnical BulletinsTechnotes Sign in to display secure content and recently viewed articles

2021-07 Security Bulletin: Junos OS: QFX10K Series: Denial of Service (DoS) upon receipt of DVMRP packets received on multi-homing ESI in VXLAN. (CVE-2021-0295)

0

0

Article ID: JSA11208 SECURITY_ADVISORIES Last Updated: 14 Jul 2021Version: 2.0
Product Affected:
This issue affects Junos OS 17.3, 17.4, 18.1, 18.2, 18.3, 18.4, 19.1, 19.2, 19.3, 19.4, 20.1, 20.2, 20.3, 20.4. Affected platforms: QFX10K Series.
Problem:

A vulnerability in the Distance Vector Multicast Routing Protocol (DVMRP) of Juniper Networks Junos OS on the QFX10K Series switches allows an attacker to trigger a packet forwarding loop, leading to a partial Denial of Service (DoS). The issue is caused by DVMRP packets looping on a multi-homed Ethernet Segment Identifier (ESI) when VXLAN is configured. DVMRP packets received on a multi-homed ESI are sent to the peer, and then incorrectly forwarded out the same ESI, violating the split horizon rule.

This issue only affects QFX10K Series switches, including the QFX10002, QFX10008, and QFX10016. Other products and platforms are unaffected by this vulnerability.

This issue affects Juniper Networks Junos OS on QFX10K Series:

  • 17.3 versions prior to 17.3R3-S12;
  • 17.4 versions prior to 17.4R3-S5;
  • 18.1 versions prior to 18.1R3-S13;
  • 18.2 version 18.2R1 and later versions;
  • 18.3 versions prior to 18.3R3-S5;
  • 18.4 versions prior to 18.4R2-S9, 18.4R3-S8;
  • 19.1 versions prior to 19.1R3-S5;
  • 19.2 versions prior to 19.2R1-S7, 19.2R3-S2;
  • 19.3 versions prior to 19.3R3-S2;
  • 19.4 versions prior to 19.4R3-S3;
  • 20.1 versions prior to 20.1R2-S2, 20.1R3;
  • 20.2 versions prior to 20.2R3;
  • 20.3 versions prior to 20.3R3;
  • 20.4 versions prior to 20.4R2.

Juniper SIRT is not aware of any malicious exploitation of this vulnerability.

This issue was seen during production usage.

This issue has been assigned CVE-2021-0295.
 

Solution:

The following software releases have been updated to resolve this specific issue: Junos OS 17.3R3-S12, 17.4R3-S5, 18.1R3-S13, 18.3R3-S5, 18.4R2-S9, 18.4R3-S8, 19.1R3-S5, 19.2R1-S7, 19.2R3-S2, 19.3R3-S2, 19.4R3-S3, 20.1R2-S2, 20.1R3, 20.2R3, 20.3R3, 20.4R2, 21.1R1, and all subsequent releases.

This issue is being tracked as 1539194.
 

Workaround:

There are no viable workarounds for this issue.

Service may be temporarily restored by disabling/enabled the IRB affected by this issue. Note that this will cause a temporary service interruption as the interface is flapped.
 

Implementation:
Software releases or updates are available for download at https://support.juniper.net/support/downloads/
 
Modification History:
2021-07-14: Initial Publication.

CVSS Score:
6.1 (CVSS:3.1/AV:A/AC:L/PR:N/UI:N/S:C/C:N/I:L/A:L)
Severity Level:
Medium
Severity Assessment:
Information for how Juniper Networks uses CVSS can be found at KB 16446 "Common Vulnerability Scoring System (CVSS) and Juniper's Security Advisories."

Related Links

Comment on this article > Affected Products Browse the Knowledge Base for more articles related to these product categories. Select a category to begin.

Getting Up and Running with Junos

Getting Up and Running with Junos Security Alerts and Vulnerabilities Product Alerts and Software Release Notices Problem Report (PR) Search Tool EOL Notices and Bulletins JTAC User Guide Customer Care User Guide Pathfinder SRX High Availability Configurator SRX VPN Configurator Training Courses and Videos End User Licence Agreement Global Search